# Function applyPostDefendAbAttrs

- applyPostDefendAbAttrs(attrType, pokemon, attacker, move, hitResult, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => PostDefendAbAttr )
    - - new (...args): PostDefendAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns PostDefendAbAttr

  - pokemon: default
  - attacker: default
  - move: default
  - hitResult: HitResult
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3557